Bug 478204 - Support LDAP abandon operation
Support LDAP abandon operation
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:08 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:08:34 EST
When I cancel a slow/long operation from my ldap client (softerra) penrose doesn't stop the query against the underlaying db. It will
continue even though the client has been gone. Is there a way to correct this behavior so that the server stop searches that are
abandoned by the client?

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            },
                            {
                              'name' => 'Listeners',
                              'id' => '10070'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-232',
          'assignee' => 'jimyang',
          'summary' => 'Support LDAP abandon operation',
          'id' => '10731',
          'updated' => '2008-03-21 10:44:03.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'When I cancel a slow/long operation from my ldap client (softerra) penrose doesn't stop the query against the underlaying db. It will
continue even though the client has been gone. Is there a way to correct this behavior so that the server stop searches that are
abandoned by the client?',
          'created' => '2007-06-18 21:57:58.0',
          'type' => '2'
        };


=========================================================
Comment 1 Jim Yang 2009-01-26 10:49:36 EST
Endi needs to add doc to this.
Comment 2 Endi Sukma Dewata 2009-01-27 13:03:26 EST
The LDAP abandon operation has been implemented for LDAP search operation. Other LDAP operations cannot be abandoned in version 2.0.

Note You need to log in before you can comment on or make changes to this bug.